POST
Advanced Wallets - Accelerate Transaction
Send a new transaction to accelerate the targeted unconfirmed transaction either by using Child-Pays-For-Parent (CPFP) or Replace-By-Fee (RBF).
Retrieves the private key from KMS using the provided public key, then signs and broadcasts the transaction.
Use this endpoint only with advanced wallets. For other wallet types, use Accelerate Transaction.
Path Params
-
walletIdstring required -
coinstring required
Body Params
object
-
pubkeystring requiredPublic key used for signing the acceleration transaction. -
sourcestring enum requiredThe key to use for signing the transaction.userbackup -
cpfpTxIdsarray of strings -
cpfpFeeRatenumberFee rate in satoshis per byte for the CPFP transaction. Higher fee rates result in faster confirmations but higher transaction costs. -
maxFeenumberMaximum fee in satoshis for the acceleration transaction. Helps prevent overpaying for transaction acceleration. -
rbfTxIdsarray of strings -
feeMultipliernumberFee multiplier for RBF transactions. The new fee will be the original fee multiplied by this value.
Responses
200
OK
Response Body
object
Successful acceleration response.
-
txidstring requiredThe transaction ID (hash) of the acceleration transaction. This can be used to track the transaction on a block explorer. -
txstring requiredThe full signed transaction in hexadecimal format. This transaction can be broadcast to the network.
400
Bad Request
Response Body
object
-
errorstring requiredThe error name -
detailsstring requiredError details
404
Not Found
Response Body
object
-
errorstring requiredThe error name -
detailsstring requiredError details
409
Conflict
Response Body
object
-
errorstring requiredThe error name -
detailsstring requiredError details
422
Unprocessable Entity
Response Body
object
-
errorstring requiredThe error name -
detailsstring requiredError details
500
Internal Server Error
Response Body
object
-
errorstring requiredThe error name -
detailsstring requiredError details
501
Not Implemented
Response Body
object
-
errorstring requiredThe error name -
detailsstring requiredError details